clc
Vspan = [0 5.]; % Range for the independent variable i.e volume of the reactor
y0 = [0]; % Initial values for the dependent variable i.e X
[v,y]=ode45(@ODEfun,Vspan,y0);
z=size(y);
Ca0 = 9.3; 
for i=1:z(1,1)
T(i) = 330 + 43.3 * y(i,1); 
Kc(i) = 3.03 * exp(-830.3 * (T(i) - 333) / (T(i) * 333)); 
k(i) = 31.1 * exp(7906 * (T(i) - 360) / (T(i) * 360)); 
ra(i) = - (k(i) * Ca0 * (1 - ((1 + 1 / Kc(i)) * y(i,1))));% Calculating the values of rate from its expression
end
plot(v,-ra)
xlabel('V')
ylabel('-ra')
legend('rate')
title('Adiabatic PFR reaction rate profile')